org.apache.http.impl.nio

## Class SSLNHttpServerConnectionFactory

- java.lang.Object
- - org.apache.http.impl.nio.SSLNHttpServerConnectionFactory

- All Implemented Interfaces:
    NHttpConnectionFactory<DefaultNHttpServerConnection>

      @Immutable
      public class SSLNHttpServerConnectionFactory
      extends Object
      implements NHttpConnectionFactory<DefaultNHttpServerConnection>

  Default factory for SSL encrypted, non-blocking `NHttpServerConnection`s.
  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLNHttpServerConnectionFactory()`
    `SSLNHttpServerConnectionFactory(ConnectionConfig config)`
    `SSLNHttpServerConnectionFactory(HttpParams params)` Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(ConnectionConfig)`
    `SSLNHttpServerConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, ConnectionConfig config)`
    `SSLNHttpServerConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
    `SSLNHttpServerConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, HttpParams params)` Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(SSLContext, SSLSetupHandler, ConnectionConfig)`
    `SSLNHttpServerConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(SSLContext, SSLSetupHandler, NHttpMessageParserFactory, NHttpMessageWriterFactory, ByteBufferAllocator, ConnectionConfig)`
    `SSLNHttpServerConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
    `SSLNHttpServerConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ConnectionConfig cconfig)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultNHttpServerConnection` | `createConnection(IOSession iosession)`
    `protected DefaultNHttpServerConnection` | `createConnection(IOSession session, HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) no longer used.
    `protected SSLIOSession` | `createSSLIOSession(IOSession iosession, SSLContext sslcontext, SSLSetupHandler sslHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLNHttpServerConnectionFactory

          @Deprecated
          public SSLNHttpServerConnectionFactory(SSLContext sslcontext,
                                                    SSLSetupHandler sslHandler,
                                                    HttpRequestFactory requestFactory,
                                                    ByteBufferAllocator allocator,
                                                    HttpParams params)

      Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(SSLContext, SSLSetupHandler, NHttpMessageParserFactory, NHttpMessageWriterFactory, ByteBufferAllocator, ConnectionConfig)`

    - #### SSLNHttpServerConnectionFactory

          @Deprecated
          public SSLNHttpServerConnectionFactory(SSLContext sslcontext,
                                                    SSLSetupHandler sslHandler,
                                                    HttpParams params)

      Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(SSLContext, SSLSetupHandler, ConnectionConfig)`

    - #### SSLNHttpServerConnectionFactory

          @Deprecated
          public SSLNHttpServerConnectionFactory(HttpParams params)

      Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(ConnectionConfig)`

    - #### SSLNHttpServerConnectionFactory

          public SSLNHttpServerConnectionFactory(SSLContext sslcontext,
                                         SSLSetupHandler sslHandler,
                                         ContentLengthStrategy incomingContentStrategy,
                                         ContentLengthStrategy outgoingContentStrategy,
                                         NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                         NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                         ByteBufferAllocator allocator,
                                         ConnectionConfig cconfig)

      Since:
        4.3

    - #### SSLNHttpServerConnectionFactory

          public SSLNHttpServerConnectionFactory(SSLContext sslcontext,
                                         SSLSetupHandler sslHandler,
                                         NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                         NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                         ByteBufferAllocator allocator,
                                         ConnectionConfig cconfig)

      Since:
        4.3

    - #### SSLNHttpServerConnectionFactory

          public SSLNHttpServerConnectionFactory(SSLContext sslcontext,
                                         SSLSetupHandler sslHandler,
                                         NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                         NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                         ConnectionConfig cconfig)

      Since:
        4.3

    - #### SSLNHttpServerConnectionFactory

          public SSLNHttpServerConnectionFactory(SSLContext sslcontext,
                                         SSLSetupHandler sslHandler,
                                         ConnectionConfig config)

      Since:
        4.3

    - #### SSLNHttpServerConnectionFactory

          public SSLNHttpServerConnectionFactory(ConnectionConfig config)

      Since:
        4.3

    - #### SSLNHttpServerConnectionFactory

          public SSLNHttpServerConnectionFactory()

      Since:
        4.3

  - ### Method Detail

    - #### createConnection

          @Deprecated
          protected DefaultNHttpServerConnection createConnection(IOSession session,
                                                                 HttpRequestFactory requestFactory,
                                                                 ByteBufferAllocator allocator,
                                                                 HttpParams params)

      Deprecated. (4.3) no longer used.

    - #### createSSLIOSession

          protected SSLIOSession createSSLIOSession(IOSession iosession,
                                        SSLContext sslcontext,
                                        SSLSetupHandler sslHandler)

      Since:
        4.3

    - #### createConnection

          public DefaultNHttpServerConnection createConnection(IOSession iosession)

      Specified by:
        `createConnection` in interface `NHttpConnectionFactory<DefaultNHttpServerConnection>`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.